<?php
	/*
	plugin WPRS Data Tables settings page
    */
	
	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

	// ***************************************
	// start settings ****************
	// ***************************************
	
	// get options
	//$options = get_option('wprsdt_options');
		
	$license 	= $options['wprsdt_license_key'];
	$status 	= $options['wprsdt_license_status'];
	
	$status = get_option('wprsdt_license_status');
	
?>

        <div class="">
            <!-- <h3 style="cursor:default;">Settings</h3> -->
            <div id="wpct" class="inside" style="padding:0px 6px 0px 6px;">

			<!-- Table Structure Containing Form Controls -->
			<!-- Each Plugin Option Defined on a New Table Row -->
			<table class="form-table">
            
                 <tr valign="top">	
						<th scope="row" valign="top">
							<?php _e('License Key'); ?>
						</th>
						<td>
							<input id="wprsdt_options[wprsdt_license_key]" name="wprsdt_options[wprsdt_license_key]" type="text" class="regular-text" value="<?php if (isset($options['wprsdt_license_key'])) { echo $options['wprsdt_license_key']; } ?>" /> 
							<label class="description" for="wprsdt_options[wprsdt_license_key]">
							
                            <?php if( $status !== false && $status == 'valid' ) { ?>
									
									<?php wp_nonce_field( 'wprsdt_nonce', 'wprsdt_nonce' ); ?>
									<input type="submit" class="button-secondary" name="wprsdt_license_deactivate" value="<?php _e('Deactivate License'); ?>"/>
                                    <span style="color:green;"><?php _e(' Your license is valid!'); ?></span>
                           
                            <?php } elseif( 'expired' === $status && ! empty( $license ) ) {
									
									 $html_btn = '<a href="https://wprichsnippets.com/pricing/" class="button-primary">' . _e('Renew Your License') . '</a>';
									 echo $html_btn;
									 ?>
                                    <span style="color:red;"><?php _e('Expired, please renew your license!'); ?></span>
                            
							<?php } else {
									wp_nonce_field( 'wprsdt_nonce', 'wprsdt_nonce' ); ?>
									<input type="submit" class="button-secondary" name="wprsdt_license_activate" value="<?php _e('Activate License'); ?>"/> 
                                    <br />
                                    <span style="color:red;"><?php _e('Please, activate your license key!'); ?></span>
                           
							<?php } ?>
                            
                            </label>
                            
                            <p class="description">Please enter your license key. An active license key is needed for automatic plugin updates and <a href="https://wprichsnippets.com/support/" target="_blank">support</a>.</p>
						</td>
					</tr>
                
                
                <tr valign="top">
					<th scope="row">Display</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsdt_options[wprsdt_chk_searching]" type="checkbox" value="1" <?php if (isset($options['wprsdt_chk_searching'])) { checked('1', $options['wprsdt_chk_searching']); } ?> /> Disable searching?</label>
					</td>
				</tr>
                
                <tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsdt_options[wprsdt_chk_paging]" type="checkbox" value="1" <?php if (isset($options['wprsdt_chk_paging'])) { checked('1', $options['wprsdt_chk_paging']); } ?> /> Disable paging?</label>
					</td>
				</tr>
                
                <tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsdt_options[wprsdt_chk_ordering]" type="checkbox" value="1" <?php if (isset($options['wprsdt_chk_ordering'])) { checked('1', $options['wprsdt_chk_ordering']); } ?> /> Disable ordering?</label>
					</td>
				</tr>
                
                <tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsdt_options[wprsdt_chk_info]" type="checkbox" value="1" <?php if (isset($options['wprsdt_chk_info'])) { checked('1', $options['wprsdt_chk_info']); } ?> /> Disable info?</label>
					</td>
				</tr>
                
                <?php /*
                 <!-- Checkbox Buttons -->
				<tr valign="top">
					<th scope="row">Table Settings</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsdt_options[wprsdt_chk_table_sort]" type="checkbox" value="1" <?php if (isset($options['wprsdt_chk_table_sort'])) { checked('1', $options['wprsdt_chk_table_sort']); } ?> /> Disable table sorting?<br /><span class="description">This is useful when you decide to remove columns from the table</span></label>
					
                    <div style="height: 10px; border-bottom: dotted 2px #D7D9EE;"></div>
                    
                    </td>
				</tr>
 				*/
				?>
                
                <tr valign="top">
					<th scope="row">Styles & Scripts</th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsdt_options[wprsdt_chk_table_styles]" type="checkbox" value="1" <?php if (isset($options['wprsdt_chk_table_styles'])) { checked('1', $options['wprsdt_chk_table_styles']); } ?> /> Load table styles everywhere?<br /><span class="description">This is useful when using the shortcode in text widget</span></label>
					</td>
				</tr>
                
                <tr valign="top">
					<th scope="row"></th>
					<td>
						<!-- First checkbox button -->
						<label><input name="wprsdt_options[wprsdt_chk_table_scripts]" type="checkbox" value="1" <?php if (isset($options['wprsdt_chk_table_scripts'])) { checked('1', $options['wprsdt_chk_table_scripts']); } ?> /> Load table scripts everywhere?<br /><span class="description">This is useful when using the shortcode in text widget</span></label>
                        
                        <div style="height: 10px; border-bottom: dotted 2px #D7D9EE;"></div>
                        
					</td>
				</tr>
                
                
			</table>
            
			<p>
            	<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>">
            	
			</p>
		        
               
            </div>
 
        </div><!-- end of general settings -->

